### Hierarchy

- TransientDisposable
  - CancelTokenFactory
  - SingleInvoker

### Implements

- IDisposable

## Index

### Constructors

- constructor

### Methods

- dispose
- registerIn

## Constructors

### constructor

- new TransientDisposable(owner?: any): TransientDisposable

- - Defined in core/TransientDisposable.ts:3

  #### Parameters

  - ##### Optional owner: any

  #### Returns TransientDisposable

## Methods

### Abstract dispose

- dispose(): any

- Implementation of IDisposable.dispose

  - Defined in core/TransientDisposable.ts:11

  #### Returns any

### registerIn

- registerIn(value: any): void

- - Defined in core/TransientDisposable.ts:13

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc